Changeset 1006


Ignore:
Timestamp:
May 11, 2007 11:29:52 AM (13 years ago)
Author:
ladanyi
Message:

committing result of run_autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • stable/1.3/Clp/configure

    r916 r1006  
    17491749if test "${with_clp_verbosity+set}" = set; then
    17501750  withval="$with_clp_verbosity"
    1751   coin_clp_verbosity=$withval
     1751  if test "$withval" = yes; then
     1752                withval=1
     1753              fi
     1754              coin_clp_verbosity=$withval
    17521755else
    17531756  coin_clp_verbosity=0
     
    17631766if test "${with_clp_checklevel+set}" = set; then
    17641767  withval="$with_clp_checklevel"
    1765   coin_clp_checklevel=$withval
     1768  if test "$withval" = yes; then
     1769                withval=1
     1770              fi
     1771              coin_clp_checklevel=$withval
    17661772else
    17671773  coin_clp_checklevel=0
     
    50645070
    50655071
    5066 unset ac_cv_file__________libtool
    5067 unset ac_cv_file_______libtool
    5068 unset ac_cv_file____libtool
    5069 
    50705072LIBTOOL=
    5071 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5072 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5073 if test "${ac_cv_file____libtool+set}" = set; then
    5074   echo $ECHO_N "(cached) $ECHO_C" >&6
    5075 else
    5076   test "$cross_compiling" = yes &&
    5077   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5078 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5079    { (exit 1); exit 1; }; }
    5080 if test -r "../libtool"; then
    5081   ac_cv_file____libtool=yes
    5082 else
    5083   ac_cv_file____libtool=no
    5084 fi
    5085 fi
    5086 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5087 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5088 if test $ac_cv_file____libtool = yes; then
     5073if test -r ../libtool; then
    50895074  coin_config_dir=..
    5090                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5091 fi
    5092 
     5075  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5076fi
    50935077if test "x$LIBTOOL" = x; then
    5094   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5095 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5096 if test "${ac_cv_file_______libtool+set}" = set; then
    5097   echo $ECHO_N "(cached) $ECHO_C" >&6
    5098 else
    5099   test "$cross_compiling" = yes &&
    5100   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5101 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5102    { (exit 1); exit 1; }; }
    5103 if test -r "../../libtool"; then
    5104   ac_cv_file_______libtool=yes
    5105 else
    5106   ac_cv_file_______libtool=no
    5107 fi
    5108 fi
    5109 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5110 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5111 if test $ac_cv_file_______libtool = yes; then
    5112   coin_config_dir=../..
    5113                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5114 fi
    5115 
    5116 fi
    5117 # if test "x$LIBTOOL" = x; then
    5118 #   AC_CHECK_FILE([../../../libtool],
    5119 #                 [coin_config_dir=../../..
    5120 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5121 # fi
     5078  if test -r ../../libtool; then
     5079    coin_config_dir=../..
     5080    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5081  fi
     5082fi
    51225083
    51235084if test "x$LIBTOOL" = x; then
     
    56725633*-*-irix6*)
    56735634  # Find out which ABI we are using.
    5674   echo '#line 5674 "configure"' > conftest.$ac_ext
     5635  echo '#line 5635 "configure"' > conftest.$ac_ext
    56755636  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    56765637  (eval $ac_compile) 2>&5
     
    68066767
    68076768# Provide some information about the compiler.
    6808 echo "$as_me:6808:" \
     6769echo "$as_me:6769:" \
    68096770     "checking for Fortran 77 compiler version" >&5
    68106771ac_compiler=`set X $ac_compile; echo $2`
     
    78737834   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78747835   -e 's:$: $lt_compiler_flag:'`
    7875    (eval echo "\"\$as_me:7875: $lt_compile\"" >&5)
     7836   (eval echo "\"\$as_me:7836: $lt_compile\"" >&5)
    78767837   (eval "$lt_compile" 2>conftest.err)
    78777838   ac_status=$?
    78787839   cat conftest.err >&5
    7879    echo "$as_me:7879: \$? = $ac_status" >&5
     7840   echo "$as_me:7840: \$? = $ac_status" >&5
    78807841   if (exit $ac_status) && test -s "$ac_outfile"; then
    78817842     # The compiler can only warn and ignore the option if not recognized
     
    81418102   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81428103   -e 's:$: $lt_compiler_flag:'`
    8143    (eval echo "\"\$as_me:8143: $lt_compile\"" >&5)
     8104   (eval echo "\"\$as_me:8104: $lt_compile\"" >&5)
    81448105   (eval "$lt_compile" 2>conftest.err)
    81458106   ac_status=$?
    81468107   cat conftest.err >&5
    8147    echo "$as_me:8147: \$? = $ac_status" >&5
     8108   echo "$as_me:8108: \$? = $ac_status" >&5
    81488109   if (exit $ac_status) && test -s "$ac_outfile"; then
    81498110     # The compiler can only warn and ignore the option if not recognized
     
    82458206   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82468207   -e 's:$: $lt_compiler_flag:'`
    8247    (eval echo "\"\$as_me:8247: $lt_compile\"" >&5)
     8208   (eval echo "\"\$as_me:8208: $lt_compile\"" >&5)
    82488209   (eval "$lt_compile" 2>out/conftest.err)
    82498210   ac_status=$?
    82508211   cat out/conftest.err >&5
    8251    echo "$as_me:8251: \$? = $ac_status" >&5
     8212   echo "$as_me:8212: \$? = $ac_status" >&5
    82528213   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82538214   then
     
    1059010551  lt_status=$lt_dlunknown
    1059110552  cat > conftest.$ac_ext <<EOF
    10592 #line 10592 "configure"
     10553#line 10553 "configure"
    1059310554#include "confdefs.h"
    1059410555
     
    1069010651  lt_status=$lt_dlunknown
    1069110652  cat > conftest.$ac_ext <<EOF
    10692 #line 10692 "configure"
     10653#line 10653 "configure"
    1069310654#include "confdefs.h"
    1069410655
     
    1303412995   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303512996   -e 's:$: $lt_compiler_flag:'`
    13036    (eval echo "\"\$as_me:13036: $lt_compile\"" >&5)
     12997   (eval echo "\"\$as_me:12997: $lt_compile\"" >&5)
    1303712998   (eval "$lt_compile" 2>conftest.err)
    1303812999   ac_status=$?
    1303913000   cat conftest.err >&5
    13040    echo "$as_me:13040: \$? = $ac_status" >&5
     13001   echo "$as_me:13001: \$? = $ac_status" >&5
    1304113002   if (exit $ac_status) && test -s "$ac_outfile"; then
    1304213003     # The compiler can only warn and ignore the option if not recognized
     
    1313813099   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1313913100   -e 's:$: $lt_compiler_flag:'`
    13140    (eval echo "\"\$as_me:13140: $lt_compile\"" >&5)
     13101   (eval echo "\"\$as_me:13101: $lt_compile\"" >&5)
    1314113102   (eval "$lt_compile" 2>out/conftest.err)
    1314213103   ac_status=$?
    1314313104   cat out/conftest.err >&5
    13144    echo "$as_me:13144: \$? = $ac_status" >&5
     13105   echo "$as_me:13105: \$? = $ac_status" >&5
    1314513106   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1314613107   then
     
    1470814669   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470914670   -e 's:$: $lt_compiler_flag:'`
    14710    (eval echo "\"\$as_me:14710: $lt_compile\"" >&5)
     14671   (eval echo "\"\$as_me:14671: $lt_compile\"" >&5)
    1471114672   (eval "$lt_compile" 2>conftest.err)
    1471214673   ac_status=$?
    1471314674   cat conftest.err >&5
    14714    echo "$as_me:14714: \$? = $ac_status" >&5
     14675   echo "$as_me:14675: \$? = $ac_status" >&5
    1471514676   if (exit $ac_status) && test -s "$ac_outfile"; then
    1471614677     # The compiler can only warn and ignore the option if not recognized
     
    1481214773   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481314774   -e 's:$: $lt_compiler_flag:'`
    14814    (eval echo "\"\$as_me:14814: $lt_compile\"" >&5)
     14775   (eval echo "\"\$as_me:14775: $lt_compile\"" >&5)
    1481514776   (eval "$lt_compile" 2>out/conftest.err)
    1481614777   ac_status=$?
    1481714778   cat out/conftest.err >&5
    14818    echo "$as_me:14818: \$? = $ac_status" >&5
     14779   echo "$as_me:14779: \$? = $ac_status" >&5
    1481914780   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1482014781   then
     
    1701916980   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1702016981   -e 's:$: $lt_compiler_flag:'`
    17021    (eval echo "\"\$as_me:17021: $lt_compile\"" >&5)
     16982   (eval echo "\"\$as_me:16982: $lt_compile\"" >&5)
    1702216983   (eval "$lt_compile" 2>conftest.err)
    1702316984   ac_status=$?
    1702416985   cat conftest.err >&5
    17025    echo "$as_me:17025: \$? = $ac_status" >&5
     16986   echo "$as_me:16986: \$? = $ac_status" >&5
    1702616987   if (exit $ac_status) && test -s "$ac_outfile"; then
    1702716988     # The compiler can only warn and ignore the option if not recognized
     
    1728717248   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728817249   -e 's:$: $lt_compiler_flag:'`
    17289    (eval echo "\"\$as_me:17289: $lt_compile\"" >&5)
     17250   (eval echo "\"\$as_me:17250: $lt_compile\"" >&5)
    1729017251   (eval "$lt_compile" 2>conftest.err)
    1729117252   ac_status=$?
    1729217253   cat conftest.err >&5
    17293    echo "$as_me:17293: \$? = $ac_status" >&5
     17254   echo "$as_me:17254: \$? = $ac_status" >&5
    1729417255   if (exit $ac_status) && test -s "$ac_outfile"; then
    1729517256     # The compiler can only warn and ignore the option if not recognized
     
    1739117352   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1739217353   -e 's:$: $lt_compiler_flag:'`
    17393    (eval echo "\"\$as_me:17393: $lt_compile\"" >&5)
     17354   (eval echo "\"\$as_me:17354: $lt_compile\"" >&5)
    1739417355   (eval "$lt_compile" 2>out/conftest.err)
    1739517356   ac_status=$?
    1739617357   cat out/conftest.err >&5
    17397    echo "$as_me:17397: \$? = $ac_status" >&5
     17358   echo "$as_me:17358: \$? = $ac_status" >&5
    1739817359   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1739917360   then
     
    2010520066
    2010620067  case $build in
     20068    *x86_64-*)
     20069# Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
     20070      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20071        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20072echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20073        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20074        mv conftest.bla libtool
     20075        chmod 755 libtool
     20076      fi
     20077      ;;
    2010720078    *-cygwin* | *-mingw*)
    2010820079    case "$CXX" in
     
    2011920090            -e 's/$AR t/lib -nologo -list/' \
    2012020091            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20121             -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20092            -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20093            -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    2012220094        libtool > conftest.bla
    2012320095
     
    2013720109        ;;
    2013820110    esac
     20111    ;;
     20112    *-darwin*)
     20113      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     20114echo "$as_me: Applying patches to libtool for Darwin" >&6;}
     20115      sed -e 's/verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"/verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"/' \
     20116      libtool > conftest.bla
     20117
     20118      mv conftest.bla libtool
     20119      chmod 755 libtool
     20120      ;;
    2013920121  esac
    2014020122# This fi matches the commented `if test "x$LIBTOOL" = x;' up at the head of
     
    2071220694# Finally, we let configure write all the output...
    2071320695
    20714 FADDLIBS="$ADDLIBS"
    20715 if test x"$coin_need_flibs" = xyes; then
    20716   ADDLIBS="$ADDLIBS $FLIBS"
    20717 fi
    20718 
    20719 # library extension
    20720 
    20721 case "$CC" in
    20722   cl* | */cl* | CL* | */CL*)
    20723        LIBEXT=lib ;;
    20724     *) LIBEXT=a ;;
    20725 esac
    20726 
    20727 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    20728 # cleaned for distclean in a vpath configuration
    20729 
    20730 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    20731 
    20732 cat >confcache <<\_ACEOF
     20696if test x$coin_skip_ac_output != xyes; then
     20697
     20698  FADDLIBS="$ADDLIBS"
     20699  if test x"$coin_need_flibs" = xyes; then
     20700    ADDLIBS="$ADDLIBS $FLIBS"
     20701  fi
     20702
     20703  # library extension
     20704
     20705  case "$CC" in
     20706    cl* | */cl* | CL* | */CL*)
     20707         LIBEXT=lib ;;
     20708      *) LIBEXT=a ;;
     20709  esac
     20710
     20711  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     20712  # cleaned for distclean in a vpath configuration
     20713
     20714  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     20715
     20716  # Take out subdirectories if their configuration concluded that they
     20717  # don't need to be compiled
     20718  if test x"$coin_ac_skip_subdirs" != x; then
     20719    new_subdirs=
     20720    for i in $subdirs; do
     20721      skipme=no
     20722      for j in $coin_ac_skip_subdirs; do
     20723        if test $i = $j; then
     20724          skipme=yes;
     20725        fi
     20726      done
     20727      if test $skipme = no; then
     20728        new_subdirs="$new_subdirs $i"
     20729      fi
     20730    done
     20731    subdirs="$new_subdirs"
     20732  fi
     20733
     20734  cat >confcache <<\_ACEOF
    2073320735# This file is a shell script that caches the results of configure
    2073420736# tests run on this system so they can be shared between configure
     
    2223922241
    2224022242
    22241 if test x"$coin_vpath_link_files" = x; then : ; else
    22242   lnkcmd=
    22243   if test "$enable_doscompile" = yes; then
    22244     lnkcmd=cp
    22245   fi
    22246   case "$CC" in
    22247     cl* | */cl* | CL* | */CL*)
    22248       lnkcmd=cp ;;
    22249   esac
    22250   if test "$lnkcmd" = cp; then
    22251     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     22243  if test x"$coin_vpath_link_files" = x; then : ; else
     22244    lnkcmd=
     22245    if test "$enable_doscompile" = yes; then
     22246      lnkcmd=cp
     22247    fi
     22248    case "$CC" in
     22249      cl* | */cl* | CL* | */CL*)
     22250        lnkcmd=cp ;;
     22251    esac
     22252    if test "$lnkcmd" = cp; then
     22253      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    2225222254echo "$as_me: Copying data files for VPATH configuration" >&6;}
    22253   else
    22254     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     22255    else
     22256      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    2225522257echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    2225622258LN_S=$as_ln_s
     
    2226322265fi
    2226422266
    22265     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     22267      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2226622268echo "$as_me: Creating VPATH links for data files" >&6;}
    22267     lnkcmd="$LN_S"
    22268   fi
    22269   for file in $coin_vpath_link_files; do
    22270     dir=`(dirname "./$file") 2>/dev/null ||
     22269      lnkcmd="$LN_S"
     22270    fi
     22271    for file in $coin_vpath_link_files; do
     22272      dir=`(dirname "./$file") 2>/dev/null ||
    2227122273$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    2227222274         X"./$file" : 'X\(//\)[^/]' \| \
     
    2228022282          /^X\(\/\).*/{ s//\1/; q; }
    2228122283          s/.*/./; q'`
    22282     if test -d $dir; then : ; else
    22283       { if $as_mkdir_p; then
     22284      if test -d $dir; then : ; else
     22285        { if $as_mkdir_p; then
    2228422286    mkdir -p $dir
    2228522287  else
     
    2230622308   { (exit 1); exit 1; }; }; }
    2230722309
    22308     fi
    22309     rm -f $file
    22310     $lnkcmd $abs_source_dir/$file $file
    22311   done
    22312 fi
    22313 
    22314 if test x$coin_projectdir = xyes; then
    22315   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     22310      fi
     22311      rm -f $file
     22312      $lnkcmd $abs_source_dir/$file $file
     22313    done
     22314  fi
     22315
     22316  if test x$coin_projectdir = xyes; then
     22317    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    2231622318echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    22317 else
    22318   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     22319  else
     22320    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    2231922321echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    22320 fi
    22321 
     22322  fi
     22323else
     22324  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     22325echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     22326fi
     22327
     22328
Note: See TracChangeset for help on using the changeset viewer.